Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
Class CommandSupport

Field Summary
`String` | `NEWLINE`
`List` | `aliases`
`boolean` | `hidden`
`IO` | `io`
`Logger` | `log`
`MessageSource` | `messages`
`String` | `name`
`CommandRegistry` | `registry`
`Shell` | `shell`
`String` | `shortcut`

Constructor Summary
`CommandSupport(Shell shell, String name, String shortcut)` Instance logger for the command, initialized late to include the command name.

Method Summary
`void` | `alias(String name, String shortcut)`
`void` | `assertNoArguments(List args)`
`List` | `createCompletors()` Override to provide custom completion semantics for the command.
`void` | `fail(String msg)`
`void` | `fail(String msg, Throwable cause)`
`Binding` | `getBinding()`
`List` | `getBuffer()`
`BufferManager` | `getBuffers()`
`GroovyClassLoader` | `getClassLoader()`
`Completor` | `getCompletor()` Setup the completor for the command.
`String` | `getDescription()`
`String` | `getHelp()`
`History` | `getHistory()`
`List` | `getImports()`
`String` | `getUsage()`
`Map` | `getVariables()`

Constructor Detail

### CommandSupport

    CommandSupport(Shell shell, String name, String shortcut)

  Instance logger for the command, initialized late to include the command name.

Method Detail

### alias

    void alias(String name, String shortcut)

### assertNoArguments

    void assertNoArguments(List args)

### createCompletors

    List createCompletors()

  Override to provide custom completion semantics for the command.

### fail

    void fail(String msg)

### fail

    void fail(String msg, Throwable cause)

### getBinding

    Binding getBinding()

### getBuffer

    List getBuffer()

### getBuffers

    BufferManager getBuffers()

### getClassLoader

    GroovyClassLoader getClassLoader()

### getCompletor

    Completor getCompletor()

  Setup the completor for the command.

### getDescription

    String getDescription()

### getHelp

    String getHelp()

### getHistory

    History getHistory()

### getImports

    List getImports()

### getUsage

    String getUsage()

### getVariables

    Map getVariables()